package com.ym.zxhcsdk.listener;

public interface SplashAdListener {

    /// <summary>
    /// 广告数据拉取成功
    /// </summary>
    void OnAdLoaded();

    /// <summary>
    /// 广告加载失败
    /// </summary>
    void OnError(String error);

    /// <summary>
    /// 当广告点击时发起的回调
    /// </summary>
    void OnAdClicked();

    /// <summary>
    /// 当广告被展示
    /// </summary>
    void OnAdShow();

    /// <summary>
    /// 当广告关闭时调用
    /// </summary>
    void OnAdClosed();
    
}
